Index: uspace/console/console.c
===================================================================
--- uspace/console/console.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/console/console.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -48,5 +48,5 @@
 #include <libadt/fifo.h>
 #include <screenbuffer.h>
-#include <sys/mman.h>
+#include <sys/mmap.h>
 
 #include "gcons.h"
Index: uspace/console/gcons.c
===================================================================
--- uspace/console/gcons.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/console/gcons.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -37,5 +37,5 @@
 #include <async.h>
 #include <stdio.h>
-#include <sys/mman.h>
+#include <sys/mmap.h>
 #include <string.h>
 #include <align.h>
Index: uspace/libc/arch/amd64/include/atomic.h
===================================================================
--- uspace/libc/arch/amd64/include/atomic.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/amd64/include/atomic.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcamd64 amd64
+/** @addtogroup libcamd64 amd64
  * @ingroup lc
  * @brief	amd64 architecture dependent parts of libc
@@ -35,6 +35,6 @@
  */
 
-#ifndef __amd64_ATOMIC_H__
-#define __amd64_ATOMIC_H__
+#ifndef LIBC_amd64_ATOMIC_H_
+#define LIBC_amd64_ATOMIC_H_
 
 static inline void atomic_inc(atomic_t *val) {
@@ -77,7 +77,4 @@
 #endif
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/arch/amd64/include/endian.h
===================================================================
--- uspace/libc/arch/amd64/include/endian.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/amd64/include/endian.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcamd64
+/** @addtogroup libcamd64
  * @{
  */
@@ -33,8 +33,8 @@
  */
 
-#ifndef __amd64_ENDIAN_H__
-#define __amd64_ENDIAN_H__
+#ifndef LIBC_amd64_ENDIAN_H_
+#define LIBC_amd64_ENDIAN_H_
 
-#ifndef __LIBC__ENDIAN_H__
+#ifndef LIBC_ENDIAN_H_
 # error "Never use <libarch/endian.h> directly - use <endian.h> instead."
 #endif
@@ -44,7 +44,5 @@
 #endif
 
-
-
- /** @}
+/** @}
  */
  
Index: uspace/libc/arch/amd64/include/limits.h
===================================================================
--- uspace/libc/arch/amd64/include/limits.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/amd64/include/limits.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -33,6 +33,6 @@
  */
 
-#ifndef __amd64__LIMITS_H__
-#define __amd64__LIMITS_H__
+#ifndef LIBC_amd64_LIMITS_H_
+#define LIBC_amd64_LIMITS_H_
 
 # define LONG_MIN MIN_INT64
Index: uspace/libc/arch/amd64/include/psthread.h
===================================================================
--- uspace/libc/arch/amd64/include/psthread.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/amd64/include/psthread.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcamd64
+/** @addtogroup libcamd64
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __LIBC__amd64PSTHREAD_H__
-#define __LIBC__amd64PSTHREAD_H__
+#ifndef LIBC_amd64_PSTHREAD_H_
+#define LIBC_amd64_PSTHREAD_H_
 
 #include <types.h>
@@ -64,7 +64,4 @@
 #endif
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/arch/amd64/include/stackarg.h
===================================================================
--- uspace/libc/arch/amd64/include/stackarg.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/amd64/include/stackarg.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcamd64
+/** @addtogroup libcamd64
  * @{
  */
@@ -33,12 +33,9 @@
  */
 
-#ifndef __LIBC__STACKARG_H__
-#define __LIBC__STACKARG_H__
+#ifndef LIBC_STACKARG_H_
+#define LIBC_STACKARG_H_
 
 #endif
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/arch/amd64/include/thread.h
===================================================================
--- uspace/libc/arch/amd64/include/thread.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/amd64/include/thread.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcamd64
+/** @addtogroup libcamd64
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __LIBC__amd64THREAD_H__
-#define __LIBC__amd64THREAD_H__
+#ifndef LIBC_amd64_THREAD_H_
+#define LIBC_amd64_THREAD_H_
 
 #include <libc.h>
@@ -58,7 +58,4 @@
 #endif
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/arch/amd64/include/types.h
===================================================================
--- uspace/libc/arch/amd64/include/types.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/amd64/include/types.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -33,6 +33,6 @@
  */
 
-#ifndef __LIBC__TYPES_H__
-#define __LIBC__TYPES_H__
+#ifndef LIBC_amd64_TYPES_H_
+#define LIBC_amd64_TYPES_H_
 
 typedef unsigned long long sysarg_t;
Index: uspace/libc/arch/amd64/src/thread.c
===================================================================
--- uspace/libc/arch/amd64/src/thread.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/amd64/src/thread.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcamd64 amd64
+/** @addtogroup libcamd64 amd64
  * @ingroup lc
  * @{
@@ -61,7 +61,4 @@
 }
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/arch/ia32/include/atomic.h
===================================================================
--- uspace/libc/arch/ia32/include/atomic.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ia32/include/atomic.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcia32
+/** @addtogroup libcia32
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ia32_ATOMIC_H__
-#define __ia32_ATOMIC_H__
+#ifndef LIBC_ia32_ATOMIC_H_
+#define LIBC_ia32_ATOMIC_H_
 
 static inline void atomic_inc(atomic_t *val) {
@@ -75,7 +75,4 @@
 #endif
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/arch/ia32/include/ddi.h
===================================================================
--- uspace/libc/arch/ia32/include/ddi.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ia32/include/ddi.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -31,6 +31,6 @@
  */
 
-#ifndef __ia32_libc_DDI_H_
-#define __ia32_libc_DDI_H_
+#ifndef LIBC_ia32_DDI_H_
+#define LIBC_ia32_DDI_H_
 
 static inline void outb(int16_t port, uint8_t b)
@@ -73,4 +73,3 @@
 }
 
-
 #endif
Index: uspace/libc/arch/ia32/include/endian.h
===================================================================
--- uspace/libc/arch/ia32/include/endian.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ia32/include/endian.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcia32
+/** @addtogroup libcia32
  * @{
  */
@@ -33,8 +33,8 @@
  */
 
-#ifndef __ia32_ENDIAN_H__
-#define __ia32_ENDIAN_H__
+#ifndef LIBC_ia32_ENDIAN_H_
+#define LIBC_ia32_ENDIAN_H_
 
-#ifndef __LIBC__ENDIAN_H__
+#ifndef LIBC_ENDIAN_H_
 # error "Never use <libarch/endian.h> directly - use <endian.h> instead."
 #endif
@@ -44,9 +44,4 @@
 #endif
 
-
-
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/arch/ia32/include/limits.h
===================================================================
--- uspace/libc/arch/ia32/include/limits.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ia32/include/limits.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcia32
+/** @addtogroup libcia32
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ia32__LIMITS_H__
-#define __ia32__LIMITS_H__
+#ifndef LIBC_ia32__LIMITS_H_
+#define LIBC_ia32__LIMITS_H_
 
 # define LONG_MIN MIN_INT32
@@ -43,8 +43,4 @@
 #endif
 
-
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/arch/ia32/include/psthread.h
===================================================================
--- uspace/libc/arch/ia32/include/psthread.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ia32/include/psthread.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcia32
+/** @addtogroup libcia32
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __LIBC__ia32PSTHREAD_H__
-#define __LIBC__ia32PSTHREAD_H__
+#ifndef LIBC_ia32_PSTHREAD_H_
+#define LIBC_ia32_PSTHREAD_H_
 
 #include <types.h>
@@ -61,7 +61,4 @@
 #endif
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/arch/ia32/include/stackarg.h
===================================================================
--- uspace/libc/arch/ia32/include/stackarg.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ia32/include/stackarg.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,10 +27,9 @@
  */
 
- /** @addtogroup libcia32
+/** @addtogroup libcia32
  * @{
  */
 /** @file
  */
-
 
 /*
@@ -39,6 +38,6 @@
  */
  
-#ifndef __LIBC_STACKARG_H__
-#define __LIBC_STACKARG_H__
+#ifndef LIBC_ia32_STACKARG_H_
+#define LIBC_ia32_STACKARG_H_
 
 #include <types.h>
@@ -64,7 +63,4 @@
 #endif
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/arch/ia32/include/thread.h
===================================================================
--- uspace/libc/arch/ia32/include/thread.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ia32/include/thread.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcia32
+/** @addtogroup libcia32
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __LIBC__ia32THREAD_H__
-#define __LIBC__ia32THREAD_H__
+#ifndef LIBC_ia32_THREAD_H_
+#define LIBC_ia32_THREAD_H_
 
 #include <libc.h>
@@ -58,7 +58,4 @@
 #endif
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/arch/ia32/include/types.h
===================================================================
--- uspace/libc/arch/ia32/include/types.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ia32/include/types.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -33,6 +33,6 @@
  */
 
-#ifndef __LIBC__TYPES_H__
-#define __LIBC__TYPES_H__
+#ifndef LIBC_ia32_TYPES_H_
+#define LIBC_ia32_TYPES_H_
 
 typedef unsigned int sysarg_t;
Index: uspace/libc/arch/ia32/src/syscall.c
===================================================================
--- uspace/libc/arch/ia32/src/syscall.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ia32/src/syscall.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcia32 ia32
+/** @addtogroup libcia32 ia32
  * @brief	ia32 architecture dependent parts of libc
  * @ingroup lc
@@ -58,3 +58,2 @@
 /** @}
  */
-
Index: uspace/libc/arch/ia64/include/atomic.h
===================================================================
--- uspace/libc/arch/ia64/include/atomic.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ia64/include/atomic.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcia64	
+/** @addtogroup libcia64	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ia64_ATOMIC_H__
-#define __ia64_ATOMIC_H__
+#ifndef LIBC_ia64_ATOMIC_H_
+#define LIBC_ia64_ATOMIC_H_
 
 /** Atomic addition.
@@ -63,5 +63,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/ia64/include/endian.h
===================================================================
--- uspace/libc/arch/ia64/include/endian.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ia64/include/endian.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcia64	
+/** @addtogroup libcia64	
  * @{
  */
@@ -33,8 +33,8 @@
  */
 
-#ifndef __ia64_ENDIAN_H__
-#define __ia64_ENDIAN_H__
+#ifndef LIBC_ia64_ENDIAN_H_
+#define LIBC_ia64_ENDIAN_H_
 
-#ifndef __LIBC__ENDIAN_H__
+#ifndef LIBC_ENDIAN_H_
 # error "Never use <libarch/endian.h> directly - use <endian.h> instead."
 #endif
@@ -44,7 +44,4 @@
 #endif
 
-
-
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/ia64/include/limits.h
===================================================================
--- uspace/libc/arch/ia64/include/limits.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ia64/include/limits.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcia64	
+/** @addtogroup libcia64	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ia64__LIMITS_H__
-#define __ia64__LIMITS_H__
+#ifndef LIBC_ia64_LIMITS_H_
+#define LIBC_ia64_LIMITS_H_
 
 # define LONG_MIN MIN_INT64
@@ -43,8 +43,4 @@
 #endif
 
-
-
-
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/ia64/include/psthread.h
===================================================================
--- uspace/libc/arch/ia64/include/psthread.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ia64/include/psthread.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -136,5 +136,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/ia64/include/stack.h
===================================================================
--- uspace/libc/arch/ia64/include/stack.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ia64/include/stack.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcia64	
+/** @addtogroup libcia64	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ia64_STACK_H__
-#define __ia64_STACK_H__
+#ifndef LIBC_ia64_STACK_H_
+#define LIBC_ia64_STACK_H_
 
 #define STACK_ITEM_SIZE			8
@@ -43,5 +43,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/ia64/include/stackarg.h
===================================================================
--- uspace/libc/arch/ia64/include/stackarg.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ia64/include/stackarg.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcia64	
+/** @addtogroup libcia64	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __LIBC__STACKARG_H__
-#define __LIBC__STACKARG_H__
+#ifndef LIBC_STACKARG_H_
+#define LIBC_STACKARG_H_
 
 #endif
Index: uspace/libc/arch/ia64/include/thread.h
===================================================================
--- uspace/libc/arch/ia64/include/thread.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ia64/include/thread.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcia64	
+/** @addtogroup libcia64	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __LIBC__ia64THREAD_H__
-#define __LIBC__ia64THREAD_H__
+#ifndef LIBC_ia64THREAD_H_
+#define LIBC_ia64THREAD_H_
 
 #define THREAD_INITIAL_STACK_PAGES_NO 2
@@ -60,5 +60,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/ia64/src/thread.c
===================================================================
--- uspace/libc/arch/ia64/src/thread.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ia64/src/thread.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcia64 ia64
+/** @addtogroup libcia64 ia64
   * @brief ia64 architecture dependent parts of libc
   * @ingroup lc
@@ -62,5 +62,4 @@
 }
 
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/mips32/include/atomic.h
===================================================================
--- uspace/libc/arch/mips32/include/atomic.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/mips32/include/atomic.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcmips32	
+/** @addtogroup libcmips32	
  * @{
  */
@@ -34,6 +34,6 @@
  */
 
-#ifndef __mips32_ATOMIC_H__
-#define __mips32_ATOMIC_H__
+#ifndef LIBC_mips32_ATOMIC_H_
+#define LIBC_mips32_ATOMIC_H_
 
 #define atomic_inc(x)	((void) atomic_add(x, 1))
@@ -74,5 +74,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/mips32/include/context_offset.h
===================================================================
--- uspace/libc/arch/mips32/include/context_offset.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/mips32/include/context_offset.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,2 @@
 #define OFFSET_F30     0x5c
 
- /** @}
- */
-
Index: uspace/libc/arch/mips32/include/endian.h
===================================================================
--- uspace/libc/arch/mips32/include/endian.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/mips32/include/endian.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcmips32 mips32
+/** @addtogroup libcmips32 mips32
   * @brief mips32 architecture dependent parts of libc
   * @ingroup lc
@@ -35,8 +35,8 @@
  */
 
-#ifndef __mips32_ENDIAN_H__
-#define __mips32_ENDIAN_H__
+#ifndef LIBC_mips32_ENDIAN_H_
+#define LIBC_mips32_ENDIAN_H_
 
-#ifndef __LIBC__ENDIAN_H__
+#ifndef LIBC_ENDIAN_H_
 # error "Never use <libarch/endian.h> directly - use <endian.h> instead."
 #endif
@@ -46,6 +46,4 @@
 #endif
 
-
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/mips32/include/limits.h
===================================================================
--- uspace/libc/arch/mips32/include/limits.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/mips32/include/limits.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcmips32	
+/** @addtogroup libcmips32	
  * @{
  */
@@ -34,6 +34,6 @@
  */
 
-#ifndef __mips32__LIMITS_H__
-#define __mips32__LIMITS_H__
+#ifndef LIBC_mips32__LIMITS_H_
+#define LIBC_mips32__LIMITS_H_
 
 # define LONG_MIN MIN_INT32
@@ -44,7 +44,4 @@
 #endif
 
-
-
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/mips32/include/psthread.h
===================================================================
--- uspace/libc/arch/mips32/include/psthread.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/mips32/include/psthread.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcmips32	
+/** @addtogroup libcmips32	
  * @{
  */
@@ -34,6 +34,6 @@
  */
 
-#ifndef __LIBC__mips32PSTHREAD_H__
-#define __LIBC__mips32PSTHREAD_H__
+#ifndef LIBC_mips32_PSTHREAD_H_
+#define LIBC_mips32_PSTHREAD_H_
 
 #include <types.h>
@@ -87,5 +87,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/mips32/include/stackarg.h
===================================================================
--- uspace/libc/arch/mips32/include/stackarg.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/mips32/include/stackarg.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcmips32	
+/** @addtogroup libcmips32	
  * @{
  */
@@ -34,6 +34,6 @@
  */
 
-#ifndef __LIBC_mips32_STACKARG_H__
-#define __LIBC_mips32_STACKARG_H__
+#ifndef LIBC_mips32_STACKARG_H_
+#define LIBC_mips32_STACKARG_H_
 
 /* dont allow to define it second time in stdarg.h */
@@ -59,5 +59,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/mips32/include/thread.h
===================================================================
--- uspace/libc/arch/mips32/include/thread.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/mips32/include/thread.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcmips32	
+/** @addtogroup libcmips32	
  * @{
  */
@@ -36,6 +36,6 @@
 /* TLS for MIPS is described in http://www.linux-mips.org/wiki/NPTL */
 
-#ifndef __LIBC__mips32THREAD_H__
-#define __LIBC__mips32THREAD_H__
+#ifndef LIBC_mips32THREAD_H_
+#define LIBC_mips32THREAD_H_
 
 /* I did not find any specification (neither MIPS nor PowerPC), but
@@ -76,5 +76,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/mips32/src/thread.c
===================================================================
--- uspace/libc/arch/mips32/src/thread.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/mips32/src/thread.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcmips32	
+/** @addtogroup libcmips32	
  * @{
  */
@@ -57,5 +57,4 @@
 }
 
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/mips32eb/include/endian.h
===================================================================
--- uspace/libc/arch/mips32eb/include/endian.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/mips32eb/include/endian.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -36,8 +36,8 @@
 
 
-#ifndef __mips32eb_ENDIAN_H__
-#define __mips32eb_ENDIAN_H__
+#ifndef LIBC_mips32eb_ENDIAN_H_
+#define LIBC_mips32eb_ENDIAN_H_
 
-#ifndef __LIBC__ENDIAN_H__
+#ifndef LIBC_ENDIAN_H_
 # error "Never use <libarch/endian.h> directly - use <endian.h> instead."
 #endif
@@ -47,5 +47,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/ppc32/include/atomic.h
===================================================================
--- uspace/libc/arch/ppc32/include/atomic.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ppc32/include/atomic.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcppc32	
+/** @addtogroup libcppc32	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ppc32_ATOMIC_H__
-#define __ppc32_ATOMIC_H__
+#ifndef LIBC_ppc32_ATOMIC_H_
+#define LIBC_ppc32_ATOMIC_H_
 
 static inline void atomic_inc(atomic_t *val)
@@ -92,5 +92,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/ppc32/include/context_offset.h
===================================================================
--- uspace/libc/arch/ppc32/include/context_offset.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ppc32/include/context_offset.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -24,6 +24,2 @@
 #define OFFSET_CR    0x58
 #define OFFSET_CR    0x58
-
- /** @}
- */
-
Index: uspace/libc/arch/ppc32/include/endian.h
===================================================================
--- uspace/libc/arch/ppc32/include/endian.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ppc32/include/endian.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcppc32	
+/** @addtogroup libcppc32	
  * @{
  */
@@ -33,8 +33,8 @@
  */
 
-#ifndef __ppc32_ENDIAN_H__
-#define __ppc32_ENDIAN_H__
+#ifndef LIBC_ppc32_ENDIAN_H_
+#define LIBC_ppc32_ENDIAN_H_
 
-#ifndef __LIBC__ENDIAN_H__
+#ifndef LIBC_ENDIAN_H_
 # error "Never use <libarch/endian.h> directly - use <endian.h> instead."
 #endif
@@ -44,5 +44,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/ppc32/include/limits.h
===================================================================
--- uspace/libc/arch/ppc32/include/limits.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ppc32/include/limits.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcppc32	
+/** @addtogroup libcppc32	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ppc32__LIMITS_H__
-#define __ppc32__LIMITS_H__
+#ifndef LIBC_ppc32_LIMITS_H_
+#define LIBC_ppc32_LIMITS_H_
 
 #define LONG_MIN MIN_INT32
@@ -43,5 +43,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/ppc32/include/psthread.h
===================================================================
--- uspace/libc/arch/ppc32/include/psthread.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ppc32/include/psthread.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcppc32	
+/** @addtogroup libcppc32	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __LIBC__ppc32__PSTHREAD_H__
-#define __LIBC__ppc32__PSTHREAD_H__
+#ifndef LIBC_ppc32_PSTHREAD_H_
+#define LIBC_ppc32_PSTHREAD_H_
 
 #include <types.h>
@@ -80,5 +80,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/ppc32/include/regname.h
===================================================================
--- uspace/libc/arch/ppc32/include/regname.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ppc32/include/regname.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcppc32	
+/** @addtogroup libcppc32	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ppc32_REGNAME_H__
-#define __ppc32_REGNAME_H__
+#ifndef LIBC_ppc32_REGNAME_H_
+#define LIBC_ppc32_REGNAME_H_
 
 /* Condition Register Bit Fields */
@@ -185,5 +185,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/ppc32/include/stackarg.h
===================================================================
--- uspace/libc/arch/ppc32/include/stackarg.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ppc32/include/stackarg.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcppc32	
+/** @addtogroup libcppc32	
  * @{
  */
@@ -33,11 +33,9 @@
  */
 
-#ifndef __LIBC__STACKARG_H__
-#define __LIBC__STACKARG_H__
+#ifndef LIBC_STACKARG_H_
+#define LIBC_STACKARG_H_
 
 #endif
 
-
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/ppc32/include/thread.h
===================================================================
--- uspace/libc/arch/ppc32/include/thread.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ppc32/include/thread.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcppc32	
+/** @addtogroup libcppc32	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __LIBC__ppc32__THREAD_H__
-#define __LIBC__ppc32__THREAD_H__
+#ifndef LIBC_ppc32_THREAD_H_
+#define LIBC_ppc32_THREAD_H_
 
 #define PPC_TP_OFFSET 0x7000
@@ -68,5 +68,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/ppc32/src/syscall.c
===================================================================
--- uspace/libc/arch/ppc32/src/syscall.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ppc32/src/syscall.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcppc32 ppc32
+/** @addtogroup libcppc32 ppc32
   * @brief ppc32 architecture dependent parts of libc
   * @ingroup lc
@@ -58,5 +58,4 @@
 }
 
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/ppc32/src/thread.c
===================================================================
--- uspace/libc/arch/ppc32/src/thread.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ppc32/src/thread.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcppc32	
+/** @addtogroup libcppc32	
  * @{
  */
@@ -56,5 +56,4 @@
 }
 
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/ppc64/include/atomic.h
===================================================================
--- uspace/libc/arch/ppc64/include/atomic.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ppc64/include/atomic.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcppc64	
+/** @addtogroup libcppc64	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ppc64_ATOMIC_H__
-#define __ppc64_ATOMIC_H__
+#ifndef LIBC_ppc64_ATOMIC_H_
+#define LIBC_ppc64_ATOMIC_H_
 
 static inline void atomic_inc(atomic_t *val)
@@ -92,5 +92,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/ppc64/include/context_offset.h
===================================================================
--- uspace/libc/arch/ppc64/include/context_offset.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ppc64/include/context_offset.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -23,6 +23,2 @@
 #define OFFSET_R31   0x54
 #define OFFSET_CR    0x58
-
- /** @}
- */
-
Index: uspace/libc/arch/ppc64/include/endian.h
===================================================================
--- uspace/libc/arch/ppc64/include/endian.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ppc64/include/endian.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcppc64	
+/** @addtogroup libcppc64	
  * @{
  */
@@ -33,8 +33,8 @@
  */
 
-#ifndef __ppc64_ENDIAN_H__
-#define __ppc64_ENDIAN_H__
+#ifndef LIBC_ppc64_ENDIAN_H_
+#define LIBC_ppc64_ENDIAN_H_
 
-#ifndef __LIBC__ENDIAN_H__
+#ifndef LIBC_ENDIAN_H_
 # error "Never use <libarch/endian.h> directly - use <endian.h> instead."
 #endif
@@ -44,5 +44,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/ppc64/include/limits.h
===================================================================
--- uspace/libc/arch/ppc64/include/limits.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ppc64/include/limits.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcppc64	
+/** @addtogroup libcppc64	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ppc64__LIMITS_H__
-#define __ppc64__LIMITS_H__
+#ifndef LIBC_ppc64_LIMITS_H_
+#define LIBC_ppc64_LIMITS_H_
 
 #define LONG_MIN MIN_INT64
@@ -43,5 +43,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/ppc64/include/psthread.h
===================================================================
--- uspace/libc/arch/ppc64/include/psthread.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ppc64/include/psthread.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcppc64	
+/** @addtogroup libcppc64	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __LIBC__ppc64__PSTHREAD_H__
-#define __LIBC__ppc64__PSTHREAD_H__
+#ifndef LIBC_ppc64_PSTHREAD_H_
+#define LIBC_ppc64_PSTHREAD_H_
 
 #include <types.h>
@@ -80,5 +80,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/ppc64/include/regname.h
===================================================================
--- uspace/libc/arch/ppc64/include/regname.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ppc64/include/regname.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcppc64	
+/** @addtogroup libcppc64	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ppc64_REGNAME_H__
-#define __ppc64_REGNAME_H__
+#ifndef LIBC_ppc64_REGNAME_H_
+#define LIBC_ppc64_REGNAME_H_
 
 /* Condition Register Bit Fields */
@@ -185,5 +185,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/ppc64/include/stackarg.h
===================================================================
--- uspace/libc/arch/ppc64/include/stackarg.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ppc64/include/stackarg.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcppc64	
+/** @addtogroup libcppc64	
  * @{
  */
@@ -33,11 +33,9 @@
  */
 
-#ifndef __LIBC__STACKARG_H__
-#define __LIBC__STACKARG_H__
+#ifndef LIBC_STACKARG_H_
+#define LIBC_STACKARG_H_
 
 #endif
 
-
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/ppc64/include/thread.h
===================================================================
--- uspace/libc/arch/ppc64/include/thread.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ppc64/include/thread.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcppc64	
+/** @addtogroup libcppc64	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __LIBC__ppc64__THREAD_H__
-#define __LIBC__ppc64__THREAD_H__
+#ifndef LIBC_ppc64_THREAD_H_
+#define LIBC_ppc64_THREAD_H_
 
 #define PPC_TP_OFFSET 0x7000
@@ -68,5 +68,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/ppc64/src/syscall.c
===================================================================
--- uspace/libc/arch/ppc64/src/syscall.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ppc64/src/syscall.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,7 +27,7 @@
  */
 
- /** @addtogroup libcppc64 ppc64
-  * @brief ppc64 architecture dependent parts of libc
-  * @ingroup lc
+/** @addtogroup libcppc64 ppc64
+ * @brief ppc64 architecture dependent parts of libc
+ * @ingroup lc
  * @{
  */
@@ -58,5 +58,4 @@
 }
 
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/ppc64/src/thread.c
===================================================================
--- uspace/libc/arch/ppc64/src/thread.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/ppc64/src/thread.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcppc64	
+/** @addtogroup libcppc64	
  * @{
  */
@@ -57,5 +57,4 @@
 }
 
- /** @}
+/** @}
  */
-
Index: uspace/libc/arch/sparc64/include/context_offset.h
===================================================================
--- uspace/libc/arch/sparc64/include/context_offset.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/sparc64/include/context_offset.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -20,3 +20,2 @@
 #define OFFSET_L7       0x88
 #define OFFSET_TP	0x90
-
Index: uspace/libc/arch/sparc64/include/endian.h
===================================================================
--- uspace/libc/arch/sparc64/include/endian.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/sparc64/include/endian.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -36,5 +36,5 @@
 #define LIBC_sparc64_ENDIAN_H_
 
-#ifndef __LIBC__ENDIAN_H__
+#ifndef LIBC_ENDIAN_H_
 # error "Never use <libarch/endian.h> directly - use <endian.h> instead."
 #endif
Index: uspace/libc/arch/sparc64/include/limits.h
===================================================================
--- uspace/libc/arch/sparc64/include/limits.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/arch/sparc64/include/limits.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -33,6 +33,6 @@
  */
 
-#ifndef LIBC_sparc64__LIMITS_H_
-#define LIBC_sparc64__LIMITS_H_
+#ifndef LIBC_sparc64_LIMITS_H_
+#define LIBC_sparc64_LIMITS_H_
 
 #define LONG_MIN MIN_INT64
Index: uspace/libc/generic/async.c
===================================================================
--- uspace/libc/generic/async.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/generic/async.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -808,5 +808,4 @@
 }
 
-
 /** @}
  */
Index: uspace/libc/generic/cap.c
===================================================================
--- uspace/libc/generic/cap.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/generic/cap.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -72,5 +72,4 @@
 }
 
-
 /** @}
  */
Index: uspace/libc/generic/ddi.c
===================================================================
--- uspace/libc/generic/ddi.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/generic/ddi.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -88,5 +88,4 @@
 }
 
-
 /** @}
  */
Index: uspace/libc/generic/err.c
===================================================================
--- uspace/libc/generic/err.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/generic/err.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -43,5 +43,4 @@
 */
 
-
 /** @}
  */
Index: uspace/libc/generic/futex.c
===================================================================
--- uspace/libc/generic/futex.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/generic/futex.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -174,7 +174,4 @@
 }
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/generic/io/io.c
===================================================================
--- uspace/libc/generic/io/io.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/generic/io/io.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -110,9 +110,4 @@
 }
 
-
-
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/generic/io/printf.c
===================================================================
--- uspace/libc/generic/io/printf.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/generic/io/printf.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -55,9 +55,5 @@
 }
 
-
-
-
-
- /** @}
+/** @}
  */
  
Index: uspace/libc/generic/io/printf_core.c
===================================================================
--- uspace/libc/generic/io/printf_core.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/generic/io/printf_core.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -28,5 +28,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -689,8 +689,4 @@
 }
 
-
-
- /** @}
- */
- 
- 
+/** @}
+ */
Index: uspace/libc/generic/io/snprintf.c
===================================================================
--- uspace/libc/generic/io/snprintf.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/generic/io/snprintf.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -56,7 +56,4 @@
 }
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/generic/io/sprintf.c
===================================================================
--- uspace/libc/generic/io/sprintf.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/generic/io/sprintf.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -55,7 +55,4 @@
 }
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/generic/io/stream.c
===================================================================
--- uspace/libc/generic/io/stream.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/generic/io/stream.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -33,5 +33,4 @@
 /** @file
  */
-
 
 #include <io/io.h>
@@ -89,5 +88,4 @@
 }
 
-
 static stream_t open_stdin(void)
 {
@@ -130,5 +128,4 @@
 	return count;
 }
-
 
 fd_t open(const char *fname, int flags)
@@ -191,5 +188,4 @@
 }
 
-
 /** @}
  */
Index: uspace/libc/generic/io/vprintf.c
===================================================================
--- uspace/libc/generic/io/vprintf.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/generic/io/vprintf.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -57,9 +57,4 @@
 }
 
-
-
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/generic/io/vsnprintf.c
===================================================================
--- uspace/libc/generic/io/vsnprintf.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/generic/io/vsnprintf.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -37,5 +37,4 @@
 #include <string.h>
 #include <io/printf_core.h>
-
 
 struct vsnprintf_data {
@@ -109,9 +108,4 @@
 }
 
-
-
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/generic/io/vsprintf.c
===================================================================
--- uspace/libc/generic/io/vsprintf.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/generic/io/vsprintf.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -48,8 +48,4 @@
 }
 
-
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/generic/ipc.c
===================================================================
--- uspace/libc/generic/ipc.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/generic/ipc.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -32,5 +32,5 @@
  */
 
- /** @addtogroup libcipc IPC
+/** @addtogroup libcipc IPC
  * @brief HelenOS uspace IPC
  * @{
@@ -465,8 +465,4 @@
 }
 
-
-
- /** @}
- */
- 
- 
+/** @}
+ */
Index: uspace/libc/generic/libadt/hash_table.c
===================================================================
--- uspace/libc/generic/libadt/hash_table.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/generic/libadt/hash_table.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -176,7 +176,4 @@
 }
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/generic/libadt/list.c
===================================================================
--- uspace/libc/generic/libadt/list.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/generic/libadt/list.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -86,7 +86,4 @@
 }
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/generic/mmap.c
===================================================================
--- uspace/libc/generic/mmap.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/generic/mmap.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -33,5 +33,5 @@
  */
 
-#include <sys/mman.h>
+#include <sys/mmap.h>
 #include <as.h>
 #include <unistd.h>
@@ -55,5 +55,4 @@
 }
 
-
 /** @}
  */
Index: uspace/libc/generic/psthread.c
===================================================================
--- uspace/libc/generic/psthread.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/generic/psthread.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -306,5 +306,4 @@
 }
 
-
 /** @}
  */
Index: uspace/libc/generic/stdlib.c
===================================================================
--- uspace/libc/generic/stdlib.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/generic/stdlib.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -47,7 +47,4 @@
 }
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/generic/string.c
===================================================================
--- uspace/libc/generic/string.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/generic/string.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -315,5 +315,4 @@
 }
 
-
 /** @}
  */
Index: uspace/libc/generic/sysinfo.c
===================================================================
--- uspace/libc/generic/sysinfo.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/generic/sysinfo.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -42,7 +42,5 @@
 }
 
-
-
- /** @}
+/** @}
  */
  
Index: uspace/libc/generic/task.c
===================================================================
--- uspace/libc/generic/task.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/generic/task.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -45,7 +45,4 @@
 }
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/generic/thread.c
===================================================================
--- uspace/libc/generic/thread.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/generic/thread.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -155,4 +155,2 @@
 /** @}
  */
- 
- 
Index: uspace/libc/generic/time.c
===================================================================
--- uspace/libc/generic/time.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/generic/time.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -115,5 +115,4 @@
 }
 
-
 /** @}
  */
Index: uspace/libc/include/align.h
===================================================================
--- uspace/libc/include/align.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/align.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ALIGN_H__
-#define __ALIGN_H__
+#ifndef LIBC_ALIGN_H_
+#define LIBC_ALIGN_H_
 
 /** Align to the nearest lower address.
@@ -53,7 +53,4 @@
 #endif
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/include/as.h
===================================================================
--- uspace/libc/include/as.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/as.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __libc_AS_H__
-#define __libc_AS_H__
+#ifndef LIBC_AS_H_
+#define LIBC_AS_H_
 
 #include <types.h>
@@ -51,7 +51,4 @@
 #endif
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/include/assert.h
===================================================================
--- uspace/libc/include/assert.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/assert.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -28,5 +28,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -34,6 +34,6 @@
  */
 
-#ifndef __LIBC__ASSERT_H__
-#define __LIBC__ASSERT_H__
+#ifndef LIBC_ASSERT_H_
+#define LIBC_ASSERT_H_
 
 /** Debugging assert macro
@@ -56,7 +56,4 @@
 #endif
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/include/async.h
===================================================================
--- uspace/libc/include/async.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/async.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef _libc_ASYNC_H_
-#define _libc_ASYNC_H_
+#ifndef LIBC_ASYNC_H_
+#define LIBC_ASYNC_H_
 
 #include <ipc/ipc.h>
@@ -131,7 +131,4 @@
 #endif
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/include/atomic.h
===================================================================
--- uspace/libc/include/atomic.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/atomic.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ATOMIC_H__
-#define __ATOMIC_H__
+#ifndef LIBC_ATOMIC_H_
+#define LIBC_ATOMIC_H_
 
 typedef struct atomic {
@@ -54,7 +54,4 @@
 #endif
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/include/cap.h
===================================================================
--- uspace/libc/include/cap.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/cap.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __CAP_H__
-#define __CAP_H__
+#ifndef LIB_CAP_H_
+#define LIB_CAP_H_
 
 #include <task.h>
@@ -43,7 +43,4 @@
 #endif
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/include/ctype.h
===================================================================
--- uspace/libc/include/ctype.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/ctype.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __CTYPE_H__
-#define __CTYPE_H__
+#ifndef LIBC_CTYPE_H_
+#define LIBC_CTYPE_H_
 
 static inline int isdigit(int c)
@@ -59,8 +59,4 @@
 #endif
 
-
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/include/ddi.h
===================================================================
--- uspace/libc/include/ddi.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/ddi.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __LIBC_DDI_H__
-#define __LIBC_DDI_H__
+#ifndef LIBC_DDI_H_
+#define LIBC_DDI_H_
 
 #include <task.h>
@@ -44,7 +44,4 @@
 #endif
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/include/endian.h
===================================================================
--- uspace/libc/include/endian.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/endian.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __LIBC__ENDIAN_H__
-#define __LIBC__ENDIAN_H__
+#ifndef LIBC_ENDIAN_H_
+#define LIBC_ENDIAN_H_
 
 #define __LITTLE_ENDIAN 1234
@@ -44,8 +44,4 @@
 #endif
 
-
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/include/err.h
===================================================================
--- uspace/libc/include/err.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/err.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -33,6 +33,6 @@
  */
 
-#ifndef _libc__ERR_H_
-#define _libc__ERR_H_
+#ifndef LIBC_ERR_H_
+#define LIBC_ERR_H_
 
 #define errx(status, fmt, ...) { \
@@ -43,5 +43,4 @@
 #endif
 
-
 /** @}
  */
Index: uspace/libc/include/errno.h
===================================================================
--- uspace/libc/include/errno.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/errno.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -33,16 +33,11 @@
  */
 
-#ifndef __LIBC__ERRNO_H__
-#define __LIBC__ERRNO_H__
+#ifndef LIBC_ERRNO_H_
+#define LIBC_ERRNO_H_
 
 #include <kernel/errno.h>
 
-
-
 #endif
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/include/futex.h
===================================================================
--- uspace/libc/include/futex.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/futex.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __LIBC__FUTEX_H__
-#define __LIBC__FUTEX_H__
+#ifndef LIBC_FUTEX_H_
+#define LIBC_FUTEX_H_
 
 #include <atomic.h>
@@ -49,7 +49,4 @@
 #endif
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/include/io/io.h
===================================================================
--- uspace/libc/include/io/io.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/io/io.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __LIBC__IO_H__
-#define __LIBC__IO_H__
+#ifndef LIBC_IO_H_
+#define LIBC_IO_H_
 
 #include <libarch/types.h>
@@ -45,6 +45,5 @@
 #endif
 
-
- /** @}
+/** @}
  */
  
Index: uspace/libc/include/io/printf_core.h
===================================================================
--- uspace/libc/include/io/printf_core.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/io/printf_core.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __LIBC__PRINTF_CORE_H__
-#define __LIBC__PRINTF_CORE_H__
+#ifndef LIBC_PRINTF_CORE_H_
+#define LIBC_PRINTF_CORE_H_
 
 #include <libarch/types.h>
@@ -52,6 +52,5 @@
 #endif
 
-
- /** @}
+/** @}
  */
  
Index: uspace/libc/include/io/stream.h
===================================================================
--- uspace/libc/include/io/stream.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/io/stream.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __libc_STREAM_H_
-#define __libc_STREAM_H_
+#ifndef LIBC_STREAM_H_
+#define LIBC_STREAM_H_
 
 #include <libarch/types.h>
@@ -41,5 +41,4 @@
 
 typedef int fd_t;
-
 
 typedef ssize_t (*pwritefn_t)(void *, const void *, size_t);
@@ -51,7 +50,4 @@
 #endif
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/include/ipc/ipc.h
===================================================================
--- uspace/libc/include/ipc/ipc.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/ipc/ipc.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcipc
+/** @addtogroup libcipc
  * @{
  */
@@ -33,6 +33,6 @@
  */ 
 
-#ifndef __LIBIPC_IPC_H__
-#define __LIBIPC_IPC_H__
+#ifndef LIBIPC_IPC_H_
+#define LIBIPC_IPC_H_
 
 #include <kernel/ipc/ipc.h>
@@ -90,7 +90,4 @@
 #endif
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/include/ipc/ns.h
===================================================================
--- uspace/libc/include/ipc/ns.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/ipc/ns.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcipc
+/** @addtogroup libcipc
  * @{
  */
@@ -33,12 +33,9 @@
  */
 
-#ifndef __LIBIPC__NS_H__
-#define __LIBIPC__NS_H__
+#ifndef LIBIPC_NS_H_
+#define LIBIPC_NS_H_
 
 #endif
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/include/ipc/services.h
===================================================================
--- uspace/libc/include/ipc/services.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/ipc/services.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libcipc
+/** @addtogroup libcipc
  * @{
  */
@@ -35,6 +35,6 @@
  */
 
-#ifndef __LIBIPC__SERVICES_H__
-#define __LIBIPC__SERVICES_H__
+#ifndef LIBIPC_SERVICES_H_
+#define LIBIPC_SERVICES_H_
 
 #define SERVICE_PCI		1
@@ -49,7 +49,4 @@
 #endif
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/include/libadt/fifo.h
===================================================================
--- uspace/libc/include/libadt/fifo.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/libadt/fifo.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -43,6 +43,6 @@
  */
 
-#ifndef __FIFO_H__
-#define __FIFO_H__
+#ifndef LIBC_FIFO_H_
+#define LIBC_FIFO_H_
 
 #include <malloc.h>
@@ -124,7 +124,4 @@
 #endif
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/include/libadt/hash_table.h
===================================================================
--- uspace/libc/include/libadt/hash_table.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/libadt/hash_table.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __HASH_TABLE_H__
-#define __HASH_TABLE_H__
+#ifndef LIBC_HASH_TABLE_H_
+#define LIBC_HASH_TABLE_H_
 
 #include <libadt/list.h>
@@ -86,7 +86,4 @@
 #endif
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/include/libadt/list.h
===================================================================
--- uspace/libc/include/libadt/list.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/libadt/list.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -33,8 +33,8 @@
  */
 
-#ifndef __LIST_H__
-#define __LIST_H__
+#ifndef LIBC_LIST_H_
+#define LIBC_LIST_H_
 
-#include<unistd.h>
+#include <unistd.h>
 
 #ifndef true
@@ -191,7 +191,4 @@
 #endif
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/include/libc.h
===================================================================
--- uspace/libc/include/libc.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/libc.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -33,6 +33,6 @@
  */
 
-#ifndef __LIBC__LIBC_H__
-#define __LIBC__LIBC_H__
+#ifndef LIBC_LIBC_H_
+#define LIBC_LIBC_H_
 
 #include <types.h>
Index: uspace/libc/include/limits.h
===================================================================
--- uspace/libc/include/limits.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/limits.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __LIBC__LIMITS_H__
-#define __LIBC__LIMITS_H__
+#ifndef LIBC_LIMITS_H_
+#define LIBC_LIMITS_H_
 
 #include <stdint.h>
@@ -71,8 +71,4 @@
 #endif
 
-
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/include/psthread.h
===================================================================
--- uspace/libc/include/psthread.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/psthread.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __LIBC__PSTHREAD_H__
-#define __LIBC__PSTHREAD_H__
+#ifndef LIBC_PSTHREAD_H_
+#define LIBC_PSTHREAD_H_
 
 #include <libarch/psthread.h>
@@ -95,7 +95,4 @@
 #endif
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/include/stdarg.h
===================================================================
--- uspace/libc/include/stdarg.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/stdarg.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __LIBC__STDARG_H__
-#define __LIBC__STDARG_H__
+#ifndef LIBC_STDARG_H_
+#define LIBC_STDARG_H_
 
 #include <types.h>
@@ -52,8 +52,4 @@
 #endif
 
-
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/include/stddef.h
===================================================================
--- uspace/libc/include/stddef.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/stddef.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __LIBC__STDDEF_H__
-#define __LIBC__STDDEF_H__
+#ifndef LIBC_STDDEF_H_
+#define LIBC_STDDEF_H_
 
 #include <types.h>
@@ -40,8 +40,4 @@
 #endif
 
-
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/include/stdint.h
===================================================================
--- uspace/libc/include/stdint.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/stdint.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __LIBC__STDINT_H__
-#define __LIBC__STDINT_H__
+#ifndef LIBC_STDINT_H_
+#define LIBC_STDINT_H_
 
 /* Definitions of types with fixed size*/
@@ -61,8 +61,4 @@
 #endif
 
-
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/include/stdio.h
===================================================================
--- uspace/libc/include/stdio.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/stdio.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __LIBC__STDIO_H__
-#define __LIBC__STDIO_H__
+#ifndef LIBC_STDIO_H_
+#define LIBC_STDIO_H_
 
 #include <types.h>
@@ -60,7 +60,4 @@
 #endif
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/include/stdlib.h
===================================================================
--- uspace/libc/include/stdlib.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/stdlib.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __LIBC__STDLIB_H__
-#define __LIBC__STDLIB_H__
+#ifndef LIBC_STDLIB_H_
+#define LIBC_STDLIB_H_
 
 #include <unistd.h>
@@ -56,10 +56,6 @@
 }
 
-
 #endif
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/include/string.h
===================================================================
--- uspace/libc/include/string.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/string.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -33,7 +33,6 @@
  */
 
-
-#ifndef __LIBC__STRING_H__
-#define __LIBC__STRING_H__
+#ifndef LIBC_STRING_H_
+#define LIBC_STRING_H_
 
 #include <types.h>
@@ -60,7 +59,4 @@
 #endif
 
-
- /** @}
+/** @}
  */
- 
- 
Index: pace/libc/include/sys/mman.h
===================================================================
--- uspace/libc/include/sys/mman.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ 	(revision )
@@ -1,61 +1,0 @@
-/*
- * Copyright (C) 2006 Ondrej Palkovsky
- * All rights reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * - Redistributions of source code must retain the above copyright
- *   notice, this list of conditions and the following disclaimer.
- * - Redistributions in binary form must reproduce the above copyright
- *   notice, this list of conditions and the following disclaimer in the
- *   documentation and/or other materials provided with the distribution.
- * - The name of the author may not be used to endorse or promote products
- *   derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
- * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
- * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
- * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
- * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
- * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- */
-
- /** @addtogroup libc
- * @{
- */
-/** @file
- */
-
-#ifndef __libc_MMAN_H_
-#define __libc_MMAN_H_
-
-#include <as.h>
-
-#define MAP_FAILED  ((void *) -1)
-
-#define MAP_SHARED       (1 << 0)
-#define MAP_PRIVATE      (1 << 1)
-#define MAP_FIXED        (1 << 2)
-#define MAP_ANONYMOUS    (1 << 3)
-
-#define PROTO_READ   AS_AREA_READ
-#define PROTO_WRITE  AS_AREA_WRITE
-#define PROTO_EXEC   AS_AREA_EXEC
-
-extern void  *mmap(void  *start, size_t length, int prot, int flags, int fd,
-		   off_t offset);
-extern int munmap(void *start, size_t length);
-
-#endif
-
-
- /** @}
- */
- 
- 
Index: uspace/libc/include/sys/mmap.h
===================================================================
--- uspace/libc/include/sys/mmap.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
+++ uspace/libc/include/sys/mmap.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -0,0 +1,58 @@
+/*
+ * Copyright (C) 2006 Ondrej Palkovsky
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ *
+ * - Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ * - Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in the
+ *   documentation and/or other materials provided with the distribution.
+ * - The name of the author may not be used to endorse or promote products
+ *   derived from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+ * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+ * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+ * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+ * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+ * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+ * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+ * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+ * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
+/** @addtogroup libc
+ * @{
+ */
+/** @file
+ */
+
+#ifndef LIBC_MMAP_H_
+#define LIBC_MMAP_H_
+
+#include <as.h>
+
+#define MAP_FAILED  ((void *) -1)
+
+#define MAP_SHARED       (1 << 0)
+#define MAP_PRIVATE      (1 << 1)
+#define MAP_FIXED        (1 << 2)
+#define MAP_ANONYMOUS    (1 << 3)
+
+#define PROTO_READ   AS_AREA_READ
+#define PROTO_WRITE  AS_AREA_WRITE
+#define PROTO_EXEC   AS_AREA_EXEC
+
+extern void  *mmap(void  *start, size_t length, int prot, int flags, int fd,
+		   off_t offset);
+extern int munmap(void *start, size_t length);
+
+#endif
+
+/** @}
+ */
Index: uspace/libc/include/sys/time.h
===================================================================
--- uspace/libc/include/sys/time.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/sys/time.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -33,6 +33,6 @@
  */ 
 
-#ifndef __libc_sys_TIME_H__
-#define __libc_sys_TIME_H__
+#ifndef LIBC_TIME_H_
+#define LIBC_TIME_H_
 
 #include <types.h>
@@ -57,7 +57,4 @@
 #endif
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/include/sys/types.h
===================================================================
--- uspace/libc/include/sys/types.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/sys/types.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -42,4 +42,2 @@
 /** @}
  */
- 
- 
Index: uspace/libc/include/sysinfo.h
===================================================================
--- uspace/libc/include/sysinfo.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/sysinfo.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -33,7 +33,6 @@
  */ 
 
-#ifndef __LIBC_SYSINFO_H__
-#define __LIBC_SYSINFO_H__
-
+#ifndef LIBC_SYSINFO_H_
+#define LIBC_SYSINFO_H_
 
 #include <libc.h>
@@ -45,8 +44,4 @@
 #endif
 
-
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/include/task.h
===================================================================
--- uspace/libc/include/task.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/task.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __LIBC__TASK_H__
-#define __LIBC__TASK_H__
+#ifndef LIBC_TASK_H_
+#define LIBC_TASK_H_
 
 #include <types.h>
@@ -44,7 +44,4 @@
 #endif
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/include/thread.h
===================================================================
--- uspace/libc/include/thread.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/thread.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __LIBC__THREAD_H__
-#define __LIBC__THREAD_H__
+#ifndef LIBC_THREAD_H_
+#define LIBC_THREAD_H_
 
 #include <kernel/proc/uarg.h>
@@ -52,7 +52,4 @@
 #endif
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/include/time.h
===================================================================
--- uspace/libc/include/time.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/time.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup libc
+/** @addtogroup libc
  * @{
  */
@@ -33,12 +33,9 @@
  */ 
 
-#ifndef __libc_TIME_H__
-#define __libc_TIME_H__
+#ifndef LIBC_TIME_H_
+#define LIBC_TIME_H_
 
 #endif
 
-
- /** @}
+/** @}
  */
- 
- 
Index: uspace/libc/include/unistd.h
===================================================================
--- uspace/libc/include/unistd.h	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/include/unistd.h	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -33,6 +33,6 @@
  */
 
-#ifndef __LIBC__UNISTD_H__
-#define __LIBC__UNISTD_H__
+#ifndef LIBC_UNISTD_H_
+#define LIBC_UNISTD_H_
 
 #include <types.h>
@@ -52,4 +52,2 @@
 /** @}
  */
- 
- 
Index: uspace/libc/malloc/malloc.c
===================================================================
--- uspace/libc/malloc/malloc.c	(revision fd85ae5abc5c68f0bee0c60348199e1957e5c3bc)
+++ uspace/libc/malloc/malloc.c	(revision fadd3817f5f589ea27d771621b7531c4ede1293c)
@@ -566,5 +566,5 @@
 #if HAVE_MMAP
 #ifndef LACKS_SYS_MMAN_H
-#include <sys/mman.h>    /* for mmap */
+#include <sys/mmap.h>    /* for mmap */
 #endif /* LACKS_SYS_MMAN_H */
 #ifndef LACKS_FCNTL_H
